# frozen_string_literal: true

source "https://rubygems.org"

ruby RUBY_VERSION

gem "decidim", "0.23.1"
gem "decidim-conferences", "0.23.1"
gem "decidim-consultations", "0.23.1"
gem "decidim-initiatives", "0.23.1"
# gem "decidim-templates", "0.23.1"

gem "bootsnap", "~> 1.3"

gem "puma", ">= 4.3.5"
gem "uglifier", "~> 4.1"

gem "faker", "~> 1.9"

gem "wicked_pdf", "~> 1.4"

group :development, :test do
  gem "byebug", "~> 11.0", platform: :mri

  gem "decidim-dev", "0.23.1"
end

group :development do
  gem "letter_opener_web", "~> 1.3"
  gem "listen", "~> 3.1"
  gem "spring", "~> 2.0"
  gem "spring-watcher-listen", "~> 2.0"
  gem "web-console", "~> 3.5"
end

gem "figaro"
group :production do
  gem "passenger"
  gem "delayed_job_active_record"
  gem "daemons"
end

# Modules
# gem "decidim-access_requests", github: "mainio/decidim-module-access_requests" # Supported until 0.22.0
# gem "decidim-action_delegator", github: "coopdevs/decidim-module-action_delegator" # Supported until 0.22.0, not indended for production use
# gem "decidim-antivirus", github: "mainio/decidim-module-antivirus" # Supported until 0.22.0
# gem "decidim-budgets_enhanced", github: "OpenSourcePolitics/decidim-module-budgets_enhanced", branch: "0.22-dev"  # Supported until 0.19.0, development branch exists up to 0.22.0
gem "decidim-calendar", github: "alabs/decidim-module-calendar"
gem "decidim-comparative_stats", github: "Platoniq/decidim-module-comparative_stats"
# gem "decidim-cookies", github: "OpenSourcePolitics/decidim-module_cookies" # Supported until 0.21.0
gem "decidim-decidim_awesome", github: "Platoniq/decidim-module-decidim_awesome"
# gem "decidim-department_admin", github: "gencat/decidim-department-admin" # Supported until 0.21.0
gem "decidim-direct_verifications", github: "Platoniq/decidim-verifications-direct_verifications"
# gem "decidim-favorites", github: "mainio/decidim-module-favorites" # Required by ideas, plans
# gem "decidim-feedback", github: "mainio/decidim-module-feedback" # Required by ideas
# gem "decidim-ideas", github: "mainio/decidim-module-ideas" # Supported until 0.23.0, has graphql dependency problems
gem "decidim-ldap", github: "diputacioBCN/decidim-diba", glob: "decidim-ldap/decidim-ldap.gemspec"
gem "decidim-navbar_links", github: "OpenSourcePolitics/decidim-module-navbar_links", branch: "0.23-stable"
gem "decidim-navigation_maps", github: "Platoniq/decidim-module-navigation_maps"
# gem "decidim-plans", github: "mainio/decidim-module-plans" # Supported until 0.22.0
# gem "decidim-process_groups_content_block", github: "mainio/decidim-module-process_groups_content_block" # Supported until 0.22.0
# gem "decidim-term_customizer", github: "mainio/decidim-module-term_customizer" # Supported until 0.22.0
gem "decidim-time_tracker", github: "Platoniq/decidim-module-time_tracker", branch: "main"
# gem "decidim-unique_identity", github: "OpenSourcePolitics/decidim-module-unique-identity" # Supported until 0.18.0
gem "decidim-url_aliases", github: "OpenSourcePolitics/decidim-urlaliases"
